#!/bin/bash
##########################################
# File Name:40_while_ip_ping.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:案例40：通过while read方式统计ip.txt文件，并ping文件中的ip（以后ping改成firewalld屏蔽）
#funcs
source /funcs/func_diy.sh
###########################################
#vars
src_file=/oldboy/files/ip.txt
#while
while read line
do
	ip=`echo $line | awk -F' ' '{print $1}'`
	num=`echo $line | awk -F' ' '{print $2}'`
       if [ $num -ge 5 ];then
	       ping -c1 $ip &>/dev/null
	       if [ $? -eq 0 ];then
		       greenecho "ping $ip successed"
	       else
		       redecho "ping $ip failed"
	       fi
       fi 

done <$src_file
#while read ip num  只有空格分隔的两列可以这样只定义两个变量，如本案例中的ip 次数
#do
#       #echo "ip address: $ip"
#       if [ $num -ge 8 ];then
#	       ping -c1 $ip &>/dev/null
#       fi 
#done <$src_file
